class VillaSample {
	static function main() {
		var db = qdbm.Villa.open("villa.data", true);
		db.begin();
		db.put("FOO", "100");
		db.put("FA", "100");
		db.put("FAA", "140");
		db.put("FAB", "100");
		db.put("BAR", "120");
		db.put("BAZ", "80");
		db.put("BAZ", "110");
		db.put("BAA", "100");
		db.put("BAB", "110");
		db.put("AAA", "110");
		db.put("AAO", "110");
		db.commit();
		db.sync();
		db.optimize();
		
		neko.Lib.print(db.get("BAA"));
		neko.Lib.print("\n");
		neko.Lib.print(db.rnum());
		neko.Lib.print("\n");
		
		var x;
		db.setRange(null, "F", qdbm.Villa.VL_CMPLEX, true);
		for(row in db){
			neko.Lib.print(row.key + " : " + row.value + " : ");
			neko.Lib.print(db.curkey());
			neko.Lib.print("\n");
			
		}


		neko.Lib.print("\n");

		var x;
		db.curjump("B", true);
		do{
			if(qdbm.Villa.VL_CMPLEX(db.curkey(), "F") > 0) break;
			neko.Lib.print(db.curkey() + " : " + db.curval());
			neko.Lib.print("\n");
		}while(db.curnext());
		
		
		db.close();
		qdbm.Villa.remove("villa.data");
		neko.Lib.print("\n\n");
	}
}
